Package: org.grails.gradle.plugin.core

## [Groovy] Class Agent

- org.grails.gradle.plugin.core.GrailsExtension.Agent

- Configuration for the reloading agent

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `allowSplitPackages`
    `java.io.File` | `cacheDir`
    `boolean` | `enabled`
    `java.lang.String` | `exclusions`
    `java.lang.String` | `inclusions`
    `java.util.List<java.lang.String>` | `jvmArgs`
    `java.lang.Boolean` | `logging`
    `java.io.File` | `path`
    `boolean` | `synchronize`
    `java.util.Map<java.lang.String, java.lang.String>` | `systemProperties`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean allowSplitPackages

    - #### java.io.File cacheDir

    - #### boolean enabled

    - #### java.lang.String exclusions

    - #### java.lang.String inclusions

    - #### java.util.List<java.lang.String> jvmArgs

    - #### java.lang.Boolean logging

    - #### java.io.File path

    - #### boolean synchronize

    - #### java.util.Map<java.lang.String, java.lang.String> systemProperties